=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

mandir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/
bindir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/
debianmedsysdir=/usr/lib/debian-med/bin
debianmeddir=$(CURDIR)/debian/$(DEB_SOURCE)/$(debianmedsysdir)

%:
	dh $@

override_dh_installman:
	# try to create man pages whereever possible
	mkdir -p $(mandir)
	help2man --no-info --name='convert or normalize MCMC expression samples' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/convertSamples > $(mandir)/convertSamples.1
	help2man --no-info --name='this bitseq module estimates differential expression from data sets' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/estimateDE > $(mandir)/estimateDE.1
	help2man --no-info --name='estimate expression given precomputed probabilities of (observed) reads'' alignments' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/estimateExpression > $(mandir)/estimateExpression.1
	help2man --no-info --name='estimate expression dependent hyperparameters for bitseq' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/estimateHyperPar > $(mandir)/estimateHyperPar.1
	help2man --no-info --name='estimate expression given precomputed probabilities of (observed) reads'' alignments' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/estimateVBExpression > $(mandir)/estimateVBExpression.1
	help2man --no-info --name='extract MCMC samples of selected transcripts' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/extractSamples > $(mandir)/extractSamples.1
	help2man --no-info --name='computes log_2 Fold Change from MCMC expression samples' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/getFoldChange > $(mandir)/getFoldChange.1
	help2man --no-info --name='compute expression of whole genes' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/getGeneExpression > $(mandir)/getGeneExpression.1
	help2man --no-info --name='compute PPLR from MCMC expression samples' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/getPPLR > $(mandir)/getPPLR.1
	help2man --no-info --name='estimates variance of MCMC samples' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/getVariance > $(mandir)/getVariance.1
	help2man --no-info --name='compute relative expression of transcripts within genes' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/getWithinGeneExpression > $(mandir)/getWithinGeneExpression.1
	help2man --no-info --name='pre\-compute probabilities of (observed) reads'' alignments' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/parseAlignment > $(mandir)/parseAlignment.1
	help2man --no-info --name='helper for bitseq to transpose files lines and columns' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/transposeLargeFile > $(mandir)/transposeLargeFile.1
	help2man --no-info --name='extracts information about transcripts from reference Fasta file' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(debianmeddir)/extractTranscriptInfo.py > $(mandir)/extractTranscriptInfo.1
	help2man --no-info --name='generate read counts for each input file' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(debianmeddir)/getCounts.py > $(mandir)/getCounts.1

override_dh_auto_install:
	find -maxdepth 1 -type f -perm /111 -exec dh_install '{}' /usr/bin ';'
	# Provide scripts with extensions in Debian Med dir and without extension in /usr/bin
	mkdir -p $(debianmeddir)
	rm -f debian/$(DEB_SOURCE)/usr/bin/releaseDo.sh # internal BitSeq file, not intended for users
	mv debian/$(DEB_SOURCE)/usr/bin/*.py debian/$(DEB_SOURCE)/usr/bin/*.sh $(debianmeddir)
	    # parseAlignment.py suggests itself not to be used so do not expose this
	for script in $(debianmeddir)/* ; do \
	    bscript=`basename $${script}` ; \
	    if [ "$${bscript}" = "parseAlignment.py" ] ; then continue ; fi ; \
	    ln -s  $(debianmedsysdir)/$${bscript} $(bindir)/`echo $${bscript} | sed -e 's/\.py$$//' -e 's/\.sh$$//'` ; \
	done
