## bitseq 0.7.5+dfsg2

=== debian/changelog ===
bitseq (0.7.5+dfsg2-1) unstable; urgency=medium

  * Team upload

  [ Harish chavre ]
  * created gbp.conf
  * New upstream version 0.7.5+dfsg
  * Add test data and Bowtie alignment outputs for autopkgtest
  * Add README.debian explaining use of precomputed test data in autopkgtest

  [ Étienne Mollier ]
  * d/copyright: include debian-tests-data.
  * d/watch: convert to v5 github template.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Tue, 18 Nov 2025 21:48:26 +0100

bitseq (0.7.5+dfsg-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Remove Tim Booth <tbooth@ceh.ac.uk> since address is bouncing
    (Thank you for your work on this package, Tim)

  [ Harish Chavre ]
  * Add autopkgtests for bitseq
  * add test for parseAlignment command

  [ Étienne Mollier ]
  * d/patches/*: normalize Last-Update timestamp.
  * d/copyright: refer to LGPL-3 instead of symlink.
  * d/control: declare compliance to standards version 4.7.2.
  * hardening.patch: inject CPPFLAGS too.

 -- Étienne Mollier <emollier@debian.org>  Mon, 02 Jun 2025 23:27:01 +0200

bitseq (0.7.5+dfsg-6) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 06:56:19 +0200
