=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: bitseq
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                libbam-dev,
                libboost-dev,
                help2man,
                python3,
                python3-numpy
-Standards-Version: 4.4.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/bitseq
 Vcs-Git: https://salsa.debian.org/med-team/bitseq.git
 Homepage: https://github.com/BitSeq/BitSeq
