=== debian/tests/control ===
Tests: run-unit-test
Depends: @, bitseq
Restrictions: allow-stderr
