=== debian/watch ===
Version: 5

Template: Github
Owner: BitSeq
Project: BitSeq
Compression: xz
Dversionmangle: auto
Repack: yes
Repacksuffix: +dfsg
